Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.manage.jmx.gui
Class StatisticSeries

    java.lang.Object
      com.solarmetric.manage.jmx.gui.StatisticSeries

All Implemented Interfaces:
  com.bea.diagnostics.chart.DiagnosticDataSeries

    public class StatisticSeries

extends Object
implements com.bea.diagnostics.chart.DiagnosticDataSeries

Example implementation of a DiagnosticDataSeries to work with a DiagnosticsChart instance. This requires managing the data collection and surfacing them through the required interface methods.

It also shows how to implement the required DiagnosticDataSeriesListener support, firing the appropriate notifications when the series has changed.

Constructor Summary
`StatisticSeries(String name)`

Method Summary
`void` | `addDataSeriesListener(com.bea.diagnostics.chart.DiagnosticDataSeriesListener l, Object userObj)`
`void` | `addSampleHoldValue(double xval, double yval)`
`void` | `addValue(double xval, double yval)`
`protected void` | `agePoints()` Trim the data points to limit memory usage.
`protected void` | `fireNameChangeEvent()` Notify the chart layer the series name has changed.
`protected void` | `fireSeriesChangedEvent()` Notify the chart layer the series has changed and needs to be redisplayed.
`String` | `getSeriesName()`
`double[]` | `getXValues()`
`double[]` | `getYValues()`
`void` | `removeDataSeriesListener(com.bea.diagnostics.chart.DiagnosticDataSeriesListener l)`
`void` | `setSeriesName(String name)`
`protected double[]` | `toDoubleArray(LinkedList list)` Internal helper for converting the internal lists into the required double[]'s for JClass and the DiagnosticsChart.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatisticSeries

    public StatisticSeries(String name)

Method Detail

### getSeriesName

    public String getSeriesName()

  Specified by:
    `getSeriesName` in interface `com.bea.diagnostics.chart.DiagnosticDataSeries`

### setSeriesName

    public void setSeriesName(String name)

  Specified by:
    `setSeriesName` in interface `com.bea.diagnostics.chart.DiagnosticDataSeries`

### getXValues

    public double[] getXValues()

  Specified by:
    `getXValues` in interface `com.bea.diagnostics.chart.DiagnosticDataSeries`

### getYValues

    public double[] getYValues()

  Specified by:
    `getYValues` in interface `com.bea.diagnostics.chart.DiagnosticDataSeries`

### addDataSeriesListener

    public void addDataSeriesListener(com.bea.diagnostics.chart.DiagnosticDataSeriesListener l,
                                      Object userObj)

  Specified by:
    `addDataSeriesListener` in interface `com.bea.diagnostics.chart.DiagnosticDataSeries`

### removeDataSeriesListener

    public void removeDataSeriesListener(com.bea.diagnostics.chart.DiagnosticDataSeriesListener l)

  Specified by:
    `removeDataSeriesListener` in interface `com.bea.diagnostics.chart.DiagnosticDataSeries`

### addValue

    public void addValue(double xval,
                         double yval)

### addSampleHoldValue

    public void addSampleHoldValue(double xval,
                                   double yval)

### agePoints

    protected void agePoints()

  Trim the data points to limit memory usage.

### fireSeriesChangedEvent

    protected void fireSeriesChangedEvent()

  Notify the chart layer the series has changed and needs to be redisplayed.

### fireNameChangeEvent

    protected void fireNameChangeEvent()

  Notify the chart layer the series name has changed. This affects how the series is represented in the legend.

### toDoubleArray

    protected double[] toDoubleArray(LinkedList list)

  Internal helper for converting the internal lists into the required double[]'s for JClass and the DiagnosticsChart.

  Parameters:
    `list` -
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.